@import url(default.css);

#bg-video,
#bg-video-pattern {
	display: none;
}

/* Hamburger menu styles */
.hamburger {
	display: none;
	flex-direction: column;
	cursor: pointer;
	background: none;
	border: none;
	padding: 10px;
	position: absolute;
	top: 10px;
	left: 10px;
	z-index: 1000;
}

.bar {
	width: 25px;
	height: 3px;
	background-color: white;
	margin: 3px 0;
	transition: 0.3s;
}

.menu-content {
	display: block;
}

.menu-content.collapsed {
	display: none;
}

/* Mobile styles */
@media (max-width: 768px) {
	.hamburger {
		display: flex;
	}

	.menu-content {
		display: none;
		position: absolute;
		top: 60px;
		left: 0;
		width: 100%;
		background-color: rgba(0, 0, 0, 0.75);
		padding: 20px;
		box-sizing: border-box;
	}

	.menu-content.open {
		display: block;
	}

	#post-list {
		width: 280px;
		grid-template-columns: repeat(2, 1fr);
		gap: 15px;
		margin: 35px auto;
		box-sizing: border-box;
	}

	.hero-container {
		flex-direction: column;
	}

	header.clean {
		height: auto;
		margin-left: 0;
		width: 95%
	}

	footer {
		margin-left: 0;
		width: 95%
	}

	#article {
		margin: 0 15px !important;
		width: 95% !important;
	}

	#post-info {
		position: relative;
		width: 100%;
		margin-left: 0;
		left: 0;
		padding: 0 20px;
		box-sizing: border-box;
	}

	#post-info h1 {
		font-size: 28px;
		line-height: 28px;
	}

	#post-info h2 {
		font-size: 18px;
		line-height: 18px;
		text-align: center;
	}

	#post-info h3 {
		text-align: center;
	}

	img.hero {
		max-height: 40vh;
	}

	img.exhibition {
		width: 90%;
		height: 25vh;
		object-fit: cover;
		object-position: 75% 25%;
		margin: 15px;
	}
}
